import { EventEmitter, ViewContainerRef, ComponentRef, ElementRef, Renderer, OnDestroy, NgZone } from '@angular/core';
import { InjectionService } from '../../utils/injection.service';
import { PlacementTypes } from './placement.type';
import { StyleTypes } from './style.type';
import { AlignmentTypes } from './alignment.type';
import { ShowTypes } from './show.type';
import { TooltipContentComponent } from './tooltip.component';
import { TooltipService } from './tooltip.service';
import './tooltip.scss';
export declare class TooltipDirective implements OnDestroy {
    private tooltipService;
    private viewContainerRef;
    private injectionService;
    private renderer;
    private element;
    private zone;
    tooltipCssClass: string;
    tooltipTitle: string;
    tooltipAppendToBody: boolean;
    tooltipSpacing: number;
    tooltipDisabled: boolean;
    tooltipShowCaret: boolean;
    tooltipPlacement: PlacementTypes;
    tooltipAlignment: AlignmentTypes;
    tooltipType: StyleTypes;
    tooltipCloseOnClickOutside: boolean;
    tooltipCloseOnMouseLeave: boolean;
    tooltipHideTimeout: number;
    tooltipShowTimeout: number;
    tooltipTemplate: any;
    tooltipShowEvent: ShowTypes;
    tooltipContext: any;
    show: EventEmitter<{}>;
    hide: EventEmitter<{}>;
    private readonly listensForFocus;
    private readonly listensForHover;
    private componentId;
    private timeout;
    private mouseLeaveContentEvent;
    private mouseEnterContentEvent;
    private documentClickEvent;
    constructor(tooltipService: TooltipService, viewContainerRef: ViewContainerRef, injectionService: InjectionService, renderer: Renderer, element: ElementRef, zone: NgZone);
    ngOnDestroy(): void;
    onFocus(): void;
    onMouseEnter(): void;
    onBlur(): void;
    onMouseLeave(target: any): void;
    showTooltip(immediate?: boolean): void;
    addHideListeners(tooltip: any): void;
    injectComponent(): ComponentRef<TooltipContentComponent>;
    hideTooltip(immediate?: boolean): void;
    private createBoundOptions();
}
